Bug 21651 - Set plugins' clip to zero width and height upon tab switch
Summary: Set plugins' clip to zero width and height upon tab switch
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Plug-ins (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Major
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-16 12:39 PDT by Kenneth Russell
Modified: 2012-09-29 04:42 PDT (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Russell 2008-10-16 12:39:02 PDT
Upon switching tabs, please set the clip region for the instantiated plugins on the previous web page to zero width and height (for example, via NPP_SetWindow). This will enable out-of-process plugins like the new Java Plug-In to work correctly in Safari with multiple tabs; Firefox already does this and the new Java Plug-In works correctly in that browser.
Comment 1 Joe Jones 2008-12-08 09:43:59 PST
(In reply to comment #0)
> Upon switching tabs, please set the clip region for the instantiated plugins on
> the previous web page to zero width and height (for example, via
> NPP_SetWindow). This will enable out-of-process plugins like the new Java
> Plug-In to work correctly in Safari with multiple tabs; Firefox already does
> this and the new Java Plug-In works correctly in that browser.

I would like to ditto this. This is also important for plugins that are displaying OpenGL content in a plug in created context. Because there is no SetWindow message on tab switch or creation our context floats over the browser window no matter what tab you are looking at.

FireFox handles this correctly in 3.X as well as 2.X.
Comment 2 Vicki Murley 2008-12-17 15:48:54 PST
Filed <rdar://problem/6453738> on the SetWindow issue.
Comment 3 Mike Thole 2009-03-25 14:00:22 PDT
Fixed in r41977

http://trac.webkit.org/changeset/41977
Comment 4 Robert Hogan 2012-09-29 04:42:20 PDT
(In reply to comment #3)
> Fixed in r41977
> 
> http://trac.webkit.org/changeset/41977

Gonna take you at your word!